<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>FileSQL.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">Persistence</a> &gt; <span class="el_source">FileSQL.java</span></div><h1>FileSQL.java</h1><pre class="source lang-java linenums">package Persistence;
import java.io.InputStream;
import java.sql.*;
import java.util.ArrayList;
import java.util.List;
import Entities.CDR;
import Entities.Phone_Number;
import java.util.Properties;
import java.util.logging.*;

public class FileSQL implements IDataPersistence {
<span class="fc" id="L12">    Properties SQLproperties = new Properties();</span>
    String url;
    String user;
    String pwd;
	String SqlInsertIntoPhoneNumber;
	String SqlInsertIntoCDRsTable;
<span class="fc" id="L18">	Logger logger = Logger.getLogger(FileSQL.class.getName());</span>
<span class="fc" id="L19">	public FileSQL() {</span>
<span class="fc" id="L20">		SQLproperties = getProperties(&quot;config.properties&quot;);</span>
<span class="fc" id="L21">		url = SQLproperties.getProperty(&quot;db.url&quot;);</span>
<span class="fc" id="L22">		user = SQLproperties.getProperty(&quot;db.user&quot;);</span>
<span class="fc" id="L23">		pwd = SQLproperties.getProperty(&quot;db.password&quot;);</span>
<span class="fc" id="L24">		SqlInsertIntoPhoneNumber = &quot;insert into table_phone_numbers (telephone, balance, planType, friends_number)&quot; + &quot; values (?, ?, ?, ?)&quot;;</span>
<span class="fc" id="L25">		SqlInsertIntoCDRsTable = &quot;insert into table_cdr (originNumber, destinationNumber, durationCall, date, hour,callCost,dateTarification,hourTarification)&quot;+&quot;value(?,?,?,?,?,?,?,?)&quot;;</span>
<span class="fc" id="L26">	}</span>

	@Override
	public void setUrlOrDirectoryFile(String newUrl) {
<span class="fc" id="L30">		this.url = newUrl;</span>
<span class="fc" id="L31">	}</span>
	
	public Properties getProperties(String nameFile) {
<span class="fc" id="L34">		Properties prop = new Properties();</span>
<span class="fc" id="L35">		try (InputStream input = FileSQL.class.getClassLoader().getResourceAsStream(nameFile)) {</span>
<span class="fc bfc" id="L36" title="All 2 branches covered.">					if (input == null)</span>
<span class="fc" id="L37">						return null;</span>
					//load a properties file from class path, inside static method
<span class="fc" id="L39">					prop.load(input);</span>
<span class="fc" id="L40">					return prop;</span>

<span class="nc" id="L42">        } catch (Exception ex) {</span>
<span class="nc" id="L43">        	logger.log(Level.INFO,&quot;Error props&quot;, ex);</span>
        }
<span class="nc" id="L45">		return prop;</span>
	}
	
	@Override
	public void saveDataCDRs(List&lt;CDR&gt; ListCDR) {
<span class="fc" id="L50">		try (Connection myConn = DriverManager.getConnection(url,user,pwd);</span>
<span class="fc" id="L51">			Statement myStmt = myConn.createStatement();</span>
<span class="fc" id="L52">			PreparedStatement preparedStmt = myConn.prepareStatement(SqlInsertIntoCDRsTable);){</span>
<span class="fc bfc" id="L53" title="All 2 branches covered.">				for (CDR cdr : ListCDR) {</span>
<span class="fc" id="L54">					preparedStmt.setInt (1,cdr.getOriginNumber());</span>
<span class="fc" id="L55">					preparedStmt.setInt (2,cdr.getDestinationNumber());</span>
<span class="fc" id="L56">					preparedStmt.setString (3,cdr.getDurationCall());</span>
<span class="fc" id="L57">					preparedStmt.setString(4,cdr.getDate());</span>
<span class="fc" id="L58">					preparedStmt.setString(5,cdr.getHour());</span>
<span class="fc" id="L59">					preparedStmt.setDouble(6,cdr.getCallCost());			      </span>
<span class="fc" id="L60">					preparedStmt.setString(7,cdr.getdateTarification());</span>
<span class="fc" id="L61">					preparedStmt.setString(8,cdr.gethourTarification());</span>
<span class="fc" id="L62">					preparedStmt.execute();	</span>
				}		
		}
<span class="fc" id="L65">		catch (Exception exc) {</span>
<span class="fc" id="L66">        	logger.log(Level.INFO,&quot;Error SaveCDRs&quot;, exc);</span>
		}		
<span class="fc" id="L68">	}</span>

	@Override
	public List&lt;CDR&gt; loadDataCDRs() {
<span class="fc" id="L72">		List&lt;CDR&gt; ListCDRs = new ArrayList&lt;CDR&gt;();</span>
<span class="fc" id="L73">		try (Connection myConn = DriverManager.getConnection(url,user,pwd);</span>
<span class="fc" id="L74">			Statement myStmt = myConn.createStatement();</span>
<span class="fc" id="L75">			ResultSet myRss = myStmt.executeQuery(&quot;select * from table_cdr&quot;);){</span>
<span class="fc bfc" id="L76" title="All 2 branches covered.">			while (myRss.next()) {</span>
<span class="fc" id="L77">				CDR register = new CDR(myRss.getInt(&quot;originNumber&quot;),myRss.getInt(&quot;destinationNumber&quot;),myRss.getString(&quot;durationCall&quot;),myRss.getString(&quot;date&quot;),myRss.getString(&quot;hour&quot;));</span>
<span class="fc" id="L78">				register.SetdateTarification(myRss.getString(&quot;dateTarification&quot;));</span>
<span class="fc" id="L79">				register.SethourTarification(myRss.getString(&quot;hourTarification&quot;));</span>
<span class="fc" id="L80">				register.setCallCost(myRss.getDouble(&quot;callCost&quot;));</span>
<span class="fc" id="L81">				ListCDRs.add(register);</span>
			}
<span class="fc" id="L83">	        return ListCDRs;</span>

		}
<span class="fc" id="L86">		catch (Exception exc) {</span>
<span class="fc" id="L87">        	logger.log(Level.INFO,&quot;Error LoadCDRs&quot;, exc);</span>
		}
<span class="fc" id="L89">		return ListCDRs;</span>
	}

	@Override
	public List&lt;Phone_Number&gt; loadDataPhoneNumbers() {
<span class="fc" id="L94">		List&lt;Phone_Number&gt; ListNumbers = new ArrayList&lt;Phone_Number&gt;();</span>
<span class="fc" id="L95">		try (Connection myConn = DriverManager.getConnection(url,user,pwd);</span>
<span class="fc" id="L96">			 Statement myStmt = myConn.createStatement();</span>
<span class="fc" id="L97">		     ResultSet myRs = myStmt.executeQuery(&quot;select * from table_phone_numbers&quot;);){</span>
<span class="fc bfc" id="L98" title="All 2 branches covered.">			while (myRs.next()) {</span>
<span class="fc" id="L99">	        	Phone_Number phone = new Phone_Number(myRs.getInt(&quot;telephone&quot;),myRs.getDouble(&quot;balance&quot;),myRs.getString(&quot;planType&quot;),myRs.getString(&quot;friends_number&quot;));</span>
<span class="fc" id="L100">                ListNumbers.add(phone);</span>
          }
<span class="fc" id="L102">	        return ListNumbers;</span>
		}
<span class="fc" id="L104">		catch (Exception exc) {</span>
<span class="fc" id="L105">        	logger.log(Level.INFO,&quot;Error LoadNumbers&quot;, exc);</span>
		}
<span class="fc" id="L107">		return ListNumbers;</span>
	}

	@Override
	public void saveDataPhoneNumbers(List&lt;Phone_Number&gt; ListPhoneNumbers) {
<span class="fc" id="L112">		try (Connection myConn = DriverManager.getConnection(url,user,pwd);</span>
<span class="fc" id="L113">			 Statement myStmt = myConn.createStatement();</span>
<span class="fc" id="L114">			 PreparedStatement preparedStmt = myConn.prepareStatement(SqlInsertIntoPhoneNumber);){</span>
<span class="fc bfc" id="L115" title="All 2 branches covered.">				for (Phone_Number phoneNumber : ListPhoneNumbers) {   </span>
<span class="fc" id="L116">					preparedStmt.setInt (1,phoneNumber.getTelephone());</span>
<span class="fc" id="L117">					preparedStmt.setDouble(2,phoneNumber.getBalance());</span>
<span class="fc" id="L118">					preparedStmt.setString(3,phoneNumber.getPlan());</span>
<span class="fc" id="L119">					preparedStmt.setString(4,phoneNumber.getTelephoneFriends());</span>
<span class="fc" id="L120">					preparedStmt.execute();	</span>
			}
		}
<span class="fc" id="L123">		catch (Exception exc) {</span>
<span class="fc" id="L124">        	logger.log(Level.INFO,&quot;Error SaveNumbers&quot;, exc);</span>
		}		

<span class="fc" id="L127">	}</span>

	@Override
	public String getTypePersistence() {
<span class="fc" id="L131">		return &quot;SQL_PERSISTENCE&quot;;</span>
	}

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>